Bug 1010540 - cannot send router solicitation
cannot send router solicitation
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 05:45 EDT by orti1980
Modified: 2016-07-19 06:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:25:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 707155 None None None Never

  None (edit)
Description orti1980 2013-09-21 05:45:00 EDT
Sep 21 11:00:55 localhost NetworkManager[552]: <error> [1379754055.499663] [rdisc/nm-lndp-rdisc.c:184] send_rs(): (em1): cannot send router solicitation: -99.
Comment 1 Christian Stadelmann 2013-10-24 11:08:48 EDT
Having an unstable WLAN connection I am getting this error about once a minute in some cases (after connection drops)
~~~~~
Oct 24 15:50:54 chstpc-2 dbus-daemon: dbus[660]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Oct 24 15:50:54 chstpc-2 dbus[660]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Oct 24 15:50:54 chstpc-2 dbus[660]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Oct 24 15:50:54 chstpc-2 dbus-daemon: dbus[660]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Oct 24 15:50:59 chstpc-2 NetworkManager[768]: <error> [1382622659.127197] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp0s29u1u1): cannot send router solicitation: -99.
Oct 24 15:51:09 chstpc-2 NetworkManager[768]: <error> [1382622669.127050] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp0s29u1u1): cannot send router solicitation: -99.
Oct 24 15:51:19 chstpc-2 NetworkManager[768]: <error> [1382622679.128390] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp0s29u1u1): cannot send router solicitation: -99.
Oct 24 15:51:29 chstpc-2 NetworkManager[768]: <error> [1382622689.127024] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp0s29u1u1): cannot send router solicitation: -99.
Oct 24 15:51:39 chstpc-2 NetworkManager[768]: <error> [1382622699.132013] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp0s29u1u1): cannot send router solicitation: -99.
Oct 24 15:51:49 chstpc-2 NetworkManager[768]: <error> [1382622709.129662] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp0s29u1u1): cannot send router solicitation: -99.
Oct 24 15:51:59 chstpc-2 NetworkManager[768]: <error> [1382622719.126984] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp0s29u1u1): cannot send router solicitation: -99.
Oct 24 15:52:09 chstpc-2 NetworkManager[768]: <error> [1382622729.131236] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp0s29u1u1): cannot send router solicitation: -99.
Oct 24 15:52:19 chstpc-2 NetworkManager[768]: <error> [1382622739.129425] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp0s29u1u1): cannot send router solicitation: -99.
Oct 24 15:52:29 chstpc-2 NetworkManager[768]: <error> [1382622749.127454] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp0s29u1u1): cannot send router solicitation: -99.
Oct 24 15:52:39 chstpc-2 NetworkManager[768]: <error> [1382622759.131279] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp0s29u1u1): cannot send router solicitation: -99.
Oct 24 15:52:49 chstpc-2 NetworkManager[768]: <error> [1382622769.129346] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp0s29u1u1): cannot send router solicitation: -99.
~~~~~
Comment 2 Stephen 2013-11-04 19:50:43 EST
Just installed Fedora 20 with latest updates and see the same in logs when turning the wifi on:

Nov 05 00:45:55 yo NetworkManager[2307]: <error> [1383612355.88189] [platform/nm-linux-platform.c:1441] link_change(): Netlink error: Unspecific failure
...
Nov 05 00:46:01 yo NetworkManager[2307]: <error> [1383612361.933122] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp3s0): cannot send router solicitation: -99.
...
Nov 05 00:46:12 yo NetworkManager[2307]: <error> [1383612372.152764] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp3s0): cannot send router solicitation: -99.
Nov 05 00:46:22 yo NetworkManager[2307]: <error> [1383612382.154484] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp3s0): cannot send router solicitation: -99.
Nov 05 00:46:32 yo NetworkManager[2307]: <error> [1383612392.154680] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp3s0): cannot send router solicitation: -99.

The period is exactly 10 seconds.

kernel-3.11.6-302.fc20.x86_64
NetworkManager-0.9.9.0-14.git20131003.fc20.x86_64

Intel 6205 wifi in a ThinkPad X220.
Comment 3 Michal Kovarik 2013-12-12 03:49:32 EST
I have same issue:
NetworkManager[898]: <error> [1386837907.436677] [rdisc/nm-lndp-rdisc.c:194] send_rs(): (wlp3s0): cannot send router solicitation: -101.


Wifi device wlp3s0 is not connected:
mkovarik@mkovarik ~$ ip addr show wlp3s0
3: wlp3s0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc mq state DOWN group default qlen 1000
    link/ether a0:88:b4:7f:64:14 brd ff:ff:ff:ff:ff:ff

kernel-3.11.10-300.fc20.x86_64
NetworkManager-0.9.9.0-20.git20131003.fc20.x86_64
Comment 4 Dan Williams 2013-12-18 17:39:13 EST
This is likely because NM is not waiting for a link-local address, which is required.  This was recently fixed upstream as bgo #707155 and should get into Fedora builds soon.  Unfortunately it's not very easy to backport that specific patch, but perhaps we'll end up doing that.
Comment 5 Hedayat Vatankhah 2014-07-06 21:22:40 EDT
I got lots of such messages in my system log while WiFi not connected to any networks and even when WiFi is off! It is really annoying and filling my logs:

 <error> [1404696044.709908] [rdisc/nm-lndp-rdisc.c:230] send_rs(): (wls3): cannot send router solicitation: -101

If it cannot be properly fixed in Fedora 20, at least IMHO this specific message should be muted, instead of filling my disk and cluttering system log.
Comment 6 Jaroslav Reznik 2015-03-03 10:05:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 7 Fedora Admin XMLRPC Client 2015-08-18 10:59:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Till Schäfer 2015-12-17 13:27:41 EST
i have reported this upstream and it was fixed on the same day: 

https://bugzilla.gnome.org/show_bug.cgi?id=759596
Comment 9 Fedora End Of Life 2016-07-19 06:25:27 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.